package org.jeecg.modules.device.service.impl;

import org.jeecg.modules.device.entity.BuDeviceLifeCircle;
import org.jeecg.modules.device.mapper.BuDeviceLifeCircleMapper;
import org.jeecg.modules.device.service.IBuDeviceLifeCircleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 设备生命周期表
 * @Author: jeecg-boot
 * @Date:   2020-12-11
 * @Version: V1.0
 */
@Service
public class BuDeviceLifeCircleServiceImpl extends ServiceImpl<BuDeviceLifeCircleMapper, BuDeviceLifeCircle> implements IBuDeviceLifeCircleService {

    @Autowired
    private BuDeviceLifeCircleMapper buDeviceLifeCircleMapper;

    @Override
    public BuDeviceLifeCircle getLifeCircleByIdCode(String deviceId, String deviceCode){
        return buDeviceLifeCircleMapper.getLifeCircleByIdCode(deviceId,deviceCode);
    }
    @Override
    public BuDeviceLifeCircle getDataByDeviceId(String deviceId){
        return buDeviceLifeCircleMapper.getDataByDeviceId(deviceId);
    }
    // 获取设备投用时间
    @Override
    public String getTimeByDeviceId(String deviceId){
        return buDeviceLifeCircleMapper.getTimeByDeviceId(deviceId);
    }

    @Override
    public BuDeviceLifeCircle getDateByDeviceId(String deviceId) {
        return buDeviceLifeCircleMapper.getDateByDeviceId(deviceId);
    }



}
